%define _libdir64 %{_prefix}/lib64

Summary: generates barcodes from text strings
Name: barcode
Version: 0.98
Release: 1
License: GPLv2+
Group: Applications/Text
Source0: ftp://ftp.gnu.org/gnu/barcode/%{name}-%{version}.tar.gz
URL: http://www.gnu.org/software/barcode/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: coreutils
BuildRequires: libpaper-devel >= 1.1.23-3
Requires: /sbin/install-info, info
Requires: libpaper >= 1.1.23-3

%description
Barcode is meant to solve most needs in barcode creation with a
conventional printer. It can create printouts for the conventional
product tagging standards: UPC-A, UPC-E, EAN-13, EAN-8, ISBN, as well
as a few other formats. Ouput is generated as either Postscript or
Encapsulated Postscript.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make install prefix=${RPM_BUILD_ROOT}%{_prefix} INSTALL=/opt/freeware/bin/install

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip -9 ${RPM_BUILD_ROOT}%{_infodir}/*.info*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING ChangeLog README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*.info*
/usr/bin/*


%changelog
* Mon Apr 01 2013 Michael Perzl <michael@perzl.org> - 0.98-1
- first version for AIX V5.1 and higher
